using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace fall2015winhowtocallamethod
{
    public partial class Form1 : Form
    {
        static public int globala, globalb;
  
        
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //Call by value
            try
            {
                int a = Convert.ToInt16(textBox1.Text);
                int b = Convert.ToInt16(textBox2.Text);

                textBox3.Text = Convert.ToString(callbyvalue(a, b));
            }
            catch
            {
                MessageBox.Show("illegal number as input");
            }
        }

        private int callbyvalue(int input, int fac)
        {
            return input * fac;
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //call by ref
            try
            {
                int a = Convert.ToInt16(textBox1.Text);
                int b = Convert.ToInt16(textBox2.Text);
                callbyref(ref a,b);
                textBox3.Text = a.ToString();
            }
            catch
            {
                MessageBox.Show("illegal number as input");
            }
        }

        private void callbyref(ref int input, int fac)
        {
            input = input * fac;
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //call with a array
            int i,b;
            int[] arr = new int[10];
            int[] ar = new int[10];
            try
            {
                for (i = 0; i < 10; i++)
                    arr[i] = Convert.ToInt16(textBox1.Text);
                b = Convert.ToInt16(textBox2.Text);
                ar = callwitharr(arr,b);
                textBox3.Text = ar[5].ToString();
            }
            catch
            {
                MessageBox.Show("illegal number as input");
            }

        }

        private int[] callwitharr(int[] a, int fac)
        {
            a[5] = a[5] * fac;
            return a;
        }
 
        private void button4_Click(object sender, EventArgs e)
        {
            //call without parameters
            globala = Convert.ToInt16(textBox1.Text);
            globalb = Convert.ToInt16(textBox2.Text);
            callwithglobals();
            textBox3.Text = globala.ToString(); 
        }

        private void callwithglobals()
        {
            globala = globala * globalb;
        }


    }
}