using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SpeechLib;


namespace fall2015winhowtospeech
{
    public partial class Form1 : Form
    {

        #region "Declarations"
        public SpVoice vox = new SpVoice();
        public int RateOfSpeech = 1;
        #endregion
        
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            //speech
            vox.Rate = RateOfSpeech;
            vox.Speak(textBox1.Text, SpeechVoiceSpeakFlags.SVSFlagsAsync);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            string str = Environment.UserName.ToString();
            str = "Jens";
            SayGreeting(str);
        }

        public void SayGreeting(string strUser)
        {
            DateTime dt;
            dt = DateTime.Now;
            vox.Rate = RateOfSpeech;
            try
            {
                vox.Speak("Greetings " + strUser + " from Text To Speech",
                SpeechVoiceSpeakFlags.SVSFlagsAsync);
                string msg=Convert.ToString(dt.ToShortDateString());
                string msg1 = "Today's Date is " + msg ;
                vox.Speak(msg1,SpeechVoiceSpeakFlags.SVSFlagsAsync);
                string msg2 = "The time is " + dt.ToShortTimeString();
                vox.Speak(msg2,SpeechVoiceSpeakFlags.SVSFlagsAsync);
            }
            catch 
            {
                MessageBox.Show("I'm Speechless");
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //stop
            vox.Speak("", SpeechVoiceSpeakFlags.SVSFPurgeBeforeSpeak);
        }
    }
}
